> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylora.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of invoices

> Invoice list. Permissions ["customer"]



## OpenAPI

````yaml https://api.paylora.org/api-doc-json get /api/v1/invoice
openapi: 3.0.0
info:
  title: PAYLORA API
  description: Paylora Backend API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.paylora.org
security: []
tags: []
paths:
  /api/v1/invoice:
    get:
      tags:
        - Invoice
      summary: Get list of invoices
      description: Invoice list. Permissions ["customer"]
      operationId: InvoiceController_getList_v1
      parameters:
        - name: limit
          required: false
          in: query
          description: default 10
          schema:
            type: number
        - name: offset
          required: false
          in: query
          description: default 0
          schema:
            type: number
        - name: orderType
          required: false
          in: query
          schema:
            example: DESC
            type: string
            enum:
              - ASC
              - DESC
        - name: startDate
          required: false
          in: query
          description: Start date filter
          schema:
            format: date-time
            type: string
        - name: endDate
          required: false
          in: query
          description: End date filter
          schema:
            format: date-time
            type: string
        - name: tokenAddress
          required: false
          in: query
          description: The token address for the invoice
          schema:
            example: '0x203fC64C12a51C48755Cf77CB63c2F0618657cFD'
            type: string
        - name: network
          required: true
          in: query
          description: The network of the transaction
          schema:
            type: string
            example: ARB_SEPOLIA
        - name: uuid
          required: true
          in: query
          description: The UUID of the invoice
          schema:
            example: a1b2c3d4-e5f6-7890-1234-567890abcdef
            type: string
      responses:
        '200':
          description: Paginated list
          content:
            application/json:
              schema:
                allOf:
                  - properties:
                      success:
                        type: boolean
                      total:
                        type: integer
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Invoice'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 400
                  message:
                    - '[value] is not valid'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 401
                  message: Invalid signature | jwt must be provided
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 403
                  message: Only [admin, customer] has access
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 404
                  message: Resource Not Found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 409
                  message: Resource with unique value (email, name etc) already exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 429
                  message: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 500
                  message: Sever error message
      security:
        - JWT: []
components:
  schemas:
    Invoice:
      type: object
      properties:
        uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the invoice
        user_uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the user associated with the invoice
        status:
          type: string
          enum:
            - created
            - paid
            - expired
          example: created
          description: The status of the invoice
        amount:
          type: number
          example: 100
          description: The amount of the invoice
        fee_amount:
          type: number
          example: 5
          description: The fee amount for the invoice
        token_address:
          type: string
          example: 0xAbC123...
          description: The token address for the invoice
        contract_address:
          type: string
          example: 0xDeF456...
          description: The contract address for the invoice
        network:
          type: string
          example: ethereum
          description: The network of the transaction
        client:
          type: string
          example: 0xDeF456...
          description: The client wallet address
        hash:
          type: string
          example: 0xHash123...
          description: The transaction hash
          nullable: true
        signature:
          type: string
          example: 0xHash123...
          description: Transaction Signature
          nullable: true
        message_id:
          type: string
          example: '12345'
          description: The message ID associated with the invoice
          nullable: true
        channel_uuid:
          type: string
          example: '12345'
          description: The chat ID associated with the invoice
          nullable: true
        customer_id:
          type: string
          example: '123456789'
          description: The customer ID associated with the invoice
          nullable: true
        chain_id:
          type: object
          example: 11155111
          description: The chain ID of the blockchain network
          nullable: true
        url:
          type: string
          example: app.paylora.org/checkout=token
          description: Url of checkout page
        fee_bps:
          type: number
          example: 0xDeF456...
          description: User fee BPS
      required:
        - uuid
        - user_uuid
        - status
        - amount
        - fee_amount
        - token_address
        - contract_address
        - network
        - client
        - hash
        - signature
        - message_id
        - channel_uuid
        - customer_id
        - chain_id
        - url
        - fee_bps
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````